Bug 1669912 - SELinux is preventing winbindd from using the 'signull' accesses on a process.
Summary: SELinux is preventing winbindd from using the 'signull' accesses on a process.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c05348f9b2728feb092707e20bc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-27 23:28 UTC by Brian J. Murrell
Modified: 2019-02-18 02:04 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.2-49.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 02:04:07 UTC


Attachments (Terms of Use)

Description Brian J. Murrell 2019-01-27 23:28:24 UTC
Description of problem:
Not sure what caused this
SELinux is preventing winbindd from using the 'signull' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that winbindd should be allowed signull access on processes labeled systemd_hostnamed_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'winbindd' --raw | audit2allow -M my-winbindd
# semodule -X 300 -i my-winbindd.pp

Additional Information:
Source Context                system_u:system_r:winbind_t:s0
Target Context                system_u:system_r:systemd_hostnamed_t:s0
Target Objects                Unknown [ process ]
Source                        winbindd
Source Path                   winbindd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.1-44.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.18.13-200.fc28.x86_64 #1 SMP Wed
                              Oct 10 17:29:59 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-10-22 10:50:25 EDT
Last Seen                     2018-10-22 10:50:25 EDT
Local ID                      67899dd4-12dd-49c0-a424-9fae916c5522

Raw Audit Messages
type=AVC msg=audit(1540219825.728:73583): avc:  denied  { signull } for  pid=1186 comm="winbindd" scontext=system_u:system_r:winbind_t:s0 tcontext=system_u:system_r:systemd_hostnamed_t:s0 tclass=process permissive=0


Hash: winbindd,winbind_t,systemd_hostnamed_t,process,signull

Version-Release number of selected component:
selinux-policy-3.14.1-44.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.7
hashmarkername: setroubleshoot
kernel:         4.20.3-200.fc29.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-01-28 13:34:55 UTC
commit c0649c66dc60cad84e40b11fbe90e97ca98a5d21 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Jan 28 14:34:39 2019 +0100

    Allow winbind_t domain to check for existence of processes labeled as systemd_hostnamed_t BZ(1669912)

Comment 2 Fedora Update System 2019-02-15 07:59:37 UTC
selinux-policy-3.14.2-49.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c13db036c

Comment 3 Fedora Update System 2019-02-16 03:05:05 UTC
selinux-policy-3.14.2-49.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c13db036c

Comment 4 Fedora Update System 2019-02-18 02:04:07 UTC
selinux-policy-3.14.2-49.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.